Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.tag.el.core
Class RedirectTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.taglibs.standard.tag.common.core.RedirectSupport
                  org.apache.taglibs.standard.tag.el.core.RedirectTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag, ParamParent

    public class RedirectTag

extends RedirectSupport

A handler for <redirect>, which redirects the browser to a new URL.

Author:
  Shawn Bayern
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.core.RedirectSupport
`context, url`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`RedirectTag()` Constructs a new URLEncodeTag.

Method Summary
`int` | `doStartTag()` Default processing of the start tag returning EVAL_BODY_BUFFERED.
`void` | `release()` Release state.
`void` | `setContext(String context_)`
`void` | `setUrl(String url_)`

Methods inherited from class org.apache.taglibs.standard.tag.common.core.RedirectSupport
`addParameter, doEndTag, setScope, setVar`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### RedirectTag

    public RedirectTag()

  Constructs a new URLEncodeTag. As with TagSupport, subclasses should not provide other constructors and are expected to call the superclass constructor

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Description copied from class: `BodyTagSupport`
  Default processing of the start tag returning EVAL_BODY_BUFFERED.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `RedirectSupport`
  Returns:
    EVAL_BODY_BUFFERED
  Throws:
    `JspException` - if an error occurred while processing this tag
  See Also:
    `Tag.doStartTag()`

### release

    public void release()

  Description copied from class: `BodyTagSupport`
  Release state.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `RedirectSupport`
  See Also:
    `Tag.release()`

### setUrl

    public void setUrl(String url_)

### setContext

    public void setContext(String context_)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.